Bug 608344 - [abrt] crash in xawtv-3.95-13.fc13: raise: Process /usr/bin/xawtv was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in xawtv-3.95-13.fc13: raise: Process /usr/bin/xawtv was killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libv4l
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:37d3e3e9315063d9fde91348d2c...
: 639668 653551 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-26 21:59 UTC by Michael
Modified: 2010-11-26 01:11 UTC (History)
3 users (show)

Fixed In Version: xawtv-3.95-14.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 01:11:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.93 KB, text/plain)
2010-06-26 21:59 UTC, Michael
no flags Details

Description Michael 2010-06-26 21:59:45 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: xawtv
component: xawtv
crash_function: raise
executable: /usr/bin/xawtv
global_uuid: 37d3e3e9315063d9fde91348d2ce5e41ba3a2ef0
kernel: 2.6.33.5-124.fc13.x86_64
package: xawtv-3.95-13.fc13
rating: 4
reason: Process /usr/bin/xawtv was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Try to quit xawtv using the menu.
2. Wait.
3. Quit using the "x" in the top right corner instead.

Comment 1 Michael 2010-06-26 21:59:47 UTC
Created attachment 427148 [details]
File: backtrace

Comment 2 Dmitry Butskoy 2010-06-28 10:37:57 UTC
According to the backtrace, it is a double-free issue in a code from libv4l patch. Reassigned.

Comment 3 Hans de Goede 2010-11-17 09:31:25 UTC
*** Bug 653551 has been marked as a duplicate of this bug. ***

Comment 4 Hans de Goede 2010-11-17 09:31:48 UTC
*** Bug 639668 has been marked as a duplicate of this bug. ***

Comment 5 Hans de Goede 2010-11-17 09:41:28 UTC
Hi,

Thanks for the bug report.

The problem is that xawtv uses an idle callback to exit when a user requests it to exit, when xawtv is blocked waiting for a video frame from a stuck video device, the user can try to quit multiple times, which will lead to ExitCB getting called multiple times, which leads to the double free errors which have been reported.

I'm currently preparing an update which changes xawtv's exit code from being called multiple times while waiting for a stuck video device.

Regards,

Hans

Comment 6 Fedora Update System 2010-11-17 10:57:47 UTC
xawtv-3.95-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xawtv-3.95-14.fc14

Comment 7 Fedora Update System 2010-11-17 10:58:13 UTC
xawtv-3.95-14.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xawtv-3.95-14.fc13

Comment 8 Fedora Update System 2010-11-17 23:25:04 UTC
xawtv-3.95-14.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xawtv'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xawtv-3.95-14.fc13

Comment 9 Fedora Update System 2010-11-26 01:11:04 UTC
xawtv-3.95-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-26 01:11:41 UTC
xawtv-3.95-14.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.